@extends('layout.main')

<body class="forgot-password-page">
    <div class="login-wrap d-flex align-items-center flex-wrap justify-content-center">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-md-6 col-lg-7">
                    <img src="{{ asset('vendors/images/forgot-password.png') }}" alt="">
                </div>
                @if(session('error'))
                    <div class="alert alert-danger">{{ session('error') }}</div>
                @endif
                <div class="col-md-6 col-lg-5">
                    <div class="login-box bg-white box-shadow border-radius-10">
                        <div class="login-title">
                            <h2 class="text-center text-primary">Forgot Password</h2>
                        </div>
                        <form method="POST" action="{{ route('password.email') }}">
                            @csrf
                            <div class="input-group custom mb-2">
                                <input id="email" type="text" class="form-control" name="email" placeholder="email" value="{{ old('email') }}">
                                <div class="input-group-append custom">
                                    <span class="input-group-text"><i class="icon-copy dw dw-user1"></i></span>
                                </div>
                            </div>
                            @if($errors->has('email'))
                                <div class="alert alert-danger">{{ $errors->first('email') }}</div>
                            @endif
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="input-group mb-2">
                                        <button class="btn btn-primary btn-lg btn-block" type="submit">Send Link</button>
                                    </div>
                                    <div class="input-group mb-2">
                                        <a
                                            class="btn btn-outline-primary btn-lg btn-block"
                                            href="/login">Back to Login</a>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
