@extends('layout.main')

	<body class="login-page">
		<div class="login-wrap d-flex align-items-center flex-wrap justify-content-center">
			<div class="container">
				<div class="row align-items-center">
					<div class="col-md-6 col-lg-7">
                        <img src="{{ asset('vendors/images/login-page-img.png') }}" alt="">
					</div>
                    @if(session('error'))
                        <div class="alert alert-danger">{{ session('error') }}</div>
                    @endif
					<div class="col-md-6 col-lg-5">
						<div class="login-box bg-white box-shadow border-radius-10">
							<div class="login-title">
								<h2 class="text-center text-primary">Login</h2>
							</div>
							<form method="POST" action="{{ route('login') }}">
                                @csrf
                                <div class="input-group custom mb-2">
                                    <input id="username" type="text" class="form-control" name="username" placeholder="username" required>
                                    <div class="input-group-append custom">
                                        <span class="input-group-text"><i class="icon-copy dw dw-user1"></i></span>
                                    </div>
                                </div>
                                @if($errors->has('username'))
                                    <div class="alert alert-danger">{{ $errors->first('username') }}</div>
                                @endif
                                <div class="input-group custom mb-2">
                                    <input type="password" class="form-control" name="password" id="password" value="" placeholder="password" required>
                                    <div class="input-group-append custom">
                                        <span class="input-group-text"><i class="dw dw-padlock1"></i></span>
                                    </div>
                                </div>
                                @if($errors->has('password'))
                                    <div class="alert alert-danger">{{ $errors->first('password') }}</div>
                                @endif
								<div class="row pb-30">
									{{-- <div class="col-6">
										<div class="custom-control custom-checkbox">
											<input type="checkbox" class="custom-control-input" id="customCheck1"/>
											<label class="custom-control-label" for="customCheck1">Remember</label>
										</div>
									</div> --}}
									<div class="col-12">
										<div class="forgot-password">
											<a href="{{ route('password.request') }}">Forgot Password?</a>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-sm-12">
										<div class="input-group mb-0">
											<button class="btn btn-primary btn-lg btn-block" type="submit">Login</button>
										</div>
                                        <small class="d-block text-center my-3">Don't have an account?
                                        </small>
										<div class="input-group mb-0">
											<a
												class="btn btn-outline-primary btn-lg btn-block"
												href="/register">Register To Create Account</a>
										</div>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
	</body>
</html>
